<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.0.0
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

global $product;

// Ensure visibility
if (empty($product) || !$product->is_visible()) {
    return;
}
$loop = $GLOBALS['hasten_lite_woocommerce_row'];
$col = 3;
if (is_archive())
    $col = 4;
if (!is_archive()) {
    if ($loop % 4 == 0) {
        echo '<div class="row">';
    }
}
?>
<div class="col-md-<?php echo esc_attr($col); ?> col-sm-12">

    <div class="product-slider">
        <div class="product-wrap">
            <div <?php post_class('product-top product'); ?>>
                <?php
                /**
                 * woocommerce_before_shop_loop_item hook.
                 *
                 * @hooked woocommerce_template_loop_product_link_open - 10
                 */
                do_action('woocommerce_before_shop_loop_item');
                /**
                 * woocommerce_before_shop_loop_item_title hook.
                 *
                 * @hooked woocommerce_show_product_loop_sale_flash - 10
                 * @hooked woocommerce_template_loop_product_thumbnail - 10
                 */

                do_action('woocommerce_before_shop_loop_item_title');


                /**
                 * woocommerce_shop_loop_item_title hook.
                 *
                 * @hooked woocommerce_template_loop_product_title - 10
                 */
                echo '</div><div class="product-footer"><div class="product-desc">';
                echo '<a href="' . esc_url(get_the_permalink()) . '">';
                do_action('woocommerce_shop_loop_item_title');
                echo '</a>';


                /**
                 * woocommerce_after_shop_loop_item_title hook.
                 *
                 * @hooked woocommerce_template_loop_rating - 5
                 * @hooked woocommerce_template_loop_price - 10
                 */
                do_action('woocommerce_after_shop_loop_item_title');

                /**
                 * woocommerce_after_shop_loop_item hook.
                 *
                 * @hooked woocommerce_template_loop_product_link_close - 5
                 * @hooked woocommerce_template_loop_add_to_cart - 10
                 */
                do_action('woocommerce_after_shop_loop_item');
                echo '</div></div>';
                ?>
            </div>
        </div>
    </div>
<?php

if (!is_archive()) {
    hasten_lite_woocommerce_get_div();
}
